Skip to main content
GET
/
contacts
List contacts
curl --request GET \
  --url https://api.getpg.ai/public-api/v1/contacts \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "full_name": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "current_job_title": "<string>",
      "linkedin_url": "<string>",
      "location": "<string>",
      "country": "<string>",
      "country_code": "<string>",
      "summary": "<string>",
      "image_url": "<string>",
      "headline": "<string>",
      "emails": [
        "<string>"
      ],
      "phones": [
        "<string>"
      ],
      "skills": [
        "<string>"
      ],
      "company": {
        "name": "<string>",
        "linkedin_id": "<string>"
      },
      "experience": [
        {
          "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "company": "<string>",
          "company_linkedin_id": "<string>",
          "title": "<string>",
          "location": "<string>",
          "start_date": "2023-11-07T05:31:56Z",
          "end_date": "2023-11-07T05:31:56Z",
          "is_current": true,
          "description": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "education": [
        {
          "degree": "<string>",
          "field_of_study": "<string>",
          "school": "<string>",
          "start_year": 123,
          "end_year": 123
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123
  }
}

Authorizations

x-api-key
string
header
required

Your API key for authentication. Get your API key from the PG:AI dashboard under Settings > API Keys.

Query Parameters

page
integer
default:1

Page number

limit
integer
default:50

Items per page

Response

Paginated list of contacts

Paginated list of contacts

data
object[]
pagination
object